## python-fuelclient 9.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
cliff!=1.16.0,>=1.15.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

## python-fuelclient 9.0.0

=== debian/changelog ===
python-fuelclient (9.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 10:15:46 +0200

python-fuelclient (9.0.0~0+2016.03.21.git.3130252902-1) unstable; urgency=medium

  * New upstream release based on commit sha256: 3130252902 from: 2016-03-21.
  * Uploading to unstable.
  * Fixed (build-)depends for this releaes.
  * Set HOME=$(CURDIR) when running unit tests.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Mar 2016 21:37:45 +0200

python-fuelclient (9.0.0~0+2016.02.01.git.7f4bacbed0-1) experimental; urgency=medium

  * Initial release. (Closes: #813583)

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Feb 2016 18:53:43 +0800

=== debian/control ===
Source: python-fuelclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-cliff (>= 1.15.0),
                     python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-os-testr (>= 0.4.1),
                     python-oslotest (>= 1.10.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-testtools (>= 1.4.0),
                     python3-cliff (>= 1.15.0),
                     python3-fixtures (>= 1.3.1),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-os-testr (>= 0.4.1),
                     python3-oslotest (>= 1.10.0),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     python3-yaml (>= 3.1.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-fuelclient.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/python-fuelclient.git
Homepage: https://github.com/openstack/python-fuelclient

Package: python-fuelclient
Architecture: all
Depends: python-cliff (>= 1.15.0),
         python-keystoneclient (>= 1:1.6.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         python-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: CLI tool and a Python API wrapper for interacting with Fuel - Python 2.7
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 python-fuelclient provides a CLI tool and a Python API wrapper for interacting
 with Fuel.
 .
 This package provides the Python 2.7 module.

Package: python3-fuelclient
Architecture: all
Depends: python3-cliff (>= 1.14.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         python3-yaml (>= 3.1.0),
         ${misc:Depends},
         ${python3:Depends},
Provides: ${python:Provides},
Description: CLI tool and a Python API wrapper for interacting with Fuel - Python 3.x
 Fuel is an open source deployment and management tool for OpenStack. Developed
 as an OpenStack community effort, it provides an intuitive, GUI-driven
 experience for deployment and management of OpenStack, related community
 projects and plug-ins.
 .
 Fuel brings consumer-grade simplicity to streamline and accelerate the
 otherwise time-consuming, often complex, and error-prone process of deploying,
 testing and maintaining various configuration flavors of OpenStack at scale.
 Unlike other platform-specific deployment or management utilities, Fuel is an
 upstream OpenStack project that focuses on automating the deployment and
 testing of OpenStack and a range of third-party options, so it’s not
 compromised by hard bundling or vendor lock-in.
 .
 python-fuelclient provides a CLI tool and a Python API wrapper for interacting
 with Fuel.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-fuelclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-fuelclient 9.0.1

=== debian/changelog ===
python-fuelclient (9.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 29 Dec 2016 00:07:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                openstack-pkg-tools,
                python-all,
@@ -39,8 +39,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-fuelclient.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-fuelclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-fuelclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-fuelclient -b debian/newton
 Homepage: https://github.com/openstack/python-fuelclient
 
 Package: python-fuelclient

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-fuelclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-fuelclient; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
	mv $(CURDIR)/debian/python-fuelclient/usr/bin/fuel $(CURDIR)/debian/python-fuelclient/usr/bin/python2-fuel
	mv $(CURDIR)/debian/python3-fuelclient/usr/bin/fuel $(CURDIR)/debian/python3-fuelclient/usr/bin/python3-fuel
	mv $(CURDIR)/debian/python-fuelclient/usr/bin/fuel2 $(CURDIR)/debian/python-fuelclient/usr/bin/python2-fuel2
	mv $(CURDIR)/debian/python3-fuelclient/usr/bin/fuel2 $(CURDIR)/debian/python3-fuelclient/usr/bin/python3-fuel2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) HOME=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'fuelclient\.tests\.unit\.(?!.*common\.test_config\.TestSettings\.test_deprecated_option_produces_warning.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-fuelclient-doc/usr/share/doc/python-fuelclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:
